#define WORLD_WIDTH 20

#include <stdio.h>
#include <stdlib.h>
#include <stdbool.h>
#include <GL/glut.h>
#include <errno.h>
#include <math.h>

#include "physics.h"

struct playerPosition
{
  GLdouble position[3];
  GLdouble direction[3];
  GLdouble roll[3];
};

void camera(void);
void drawGeometry(void);

/* As of version 0.1 this fractal generation function doesn't actually use
   fractal geometry and is just a placeholder for future use. */
void fractInit(int size, bool i[][size]);

/* These writeCube/writeVertex functions aren't used, but I'm keeping them for reference. */
void writeCube(FILE * fout, int x, int y, int z, int r);
void writeVertex(FILE * fout, int x, int y, int z);

/* These are all used by the gluLookAt() function. Originally I was playing with
   these variables to control the camera but now they're set to const and shouldn't
   be changed. */
// static const GLdouble eyeX = 0.0f;
// static const GLdouble eyeY = 0.0f;
// static const GLdouble eyeZ = 5.0f;
// static const GLdouble centerX = 0.0f;
// static const GLdouble centerY = 0.0f;
// static const GLdouble centerZ = 0.0f;
// static const GLdouble upX = 0.0;
// static const GLdouble upY = 1.0;
// static const GLdouble upZ = 0.0;

static int totalVerts = 1;
static bool v[WORLD_WIDTH][WORLD_WIDTH][WORLD_WIDTH];
static struct playerPosition p1;
